<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:orientation="vertical" android:id="@id/mainLayout" android:background="@color/main_background" android:paddingLeft="@dimen/activity_horizontal_margin" android:paddingTop="@dimen/activity_vertical_margin" android:paddingRight="@dimen/activity_horizontal_margin" android:paddingBottom="@dimen/activity_vertical_margin" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android">
    <LinearLayout android:orientation="vertical" android:id="@id/leftLayout" android:background="@android:color/transparent" android:layout_width="wrap_content" android:layout_height="fill_parent" android:layout_weight="1.0">
        <LinearLayout android:orientation="vertical" android:id="@id/displayLayout" android:background="@android:color/transparent" android:layout_width="fill_parent" android:layout_height="fill_parent">
            <LinearLayout android:orientation="horizontal" android:background="@android:color/transparent" android:layout_width="fill_parent" android:layout_height="16.0dip">
                <TextView android:textSize="12.0sp" android:textColor="@android:color/black" android:gravity="center" android:id="@id/shiftView" android:background="@android:color/transparent" android:layout_width="50.0dip" android:layout_height="fill_parent" />
                <TextView android:textSize="12.0sp" android:textColor="@android:color/black" android:gravity="center" android:id="@id/hypView" android:background="@android:color/transparent" android:layout_width="50.0dip" android:layout_height="fill_parent" />
                <TextView android:textSize="12.0sp" android:textColor="@android:color/black" android:gravity="center" android:id="@id/angleModeView" android:background="@android:color/transparent" android:layout_width="50.0dip" android:layout_height="fill_parent" />
                <TextView android:textSize="12.0sp" android:textColor="@android:color/black" android:gravity="center" android:id="@id/viewModeView" android:background="@android:color/transparent" android:layout_width="50.0dip" android:layout_height="fill_parent" />
                <TextView android:textSize="12.0sp" android:textColor="@android:color/black" android:gravity="center" android:id="@id/complexModeView" android:background="@android:color/transparent" android:layout_width="50.0dip" android:layout_height="fill_parent" />
            </LinearLayout>
            <com.scaleasw.powercalc.CalcDisplay android:gravity="center|left|top" android:id="@id/display" android:background="@android:color/transparent" android:layout_width="fill_parent" android:layout_height="0.0dip" android:lines="5" android:minLines="5" android:singleLine="false" android:layout_weight="1.0" android:inputType="textMultiLine|textNoSuggestions" />
            <EditText android:textSize="20.0sp" android:gravity="center|right|top" android:id="@id/resultView" android:background="@android:color/transparent" android:focusable="false" android:focusableInTouchMode="false" android:clickable="false" android:layout_width="fill_parent" android:layout_height="wrap_content" android:cursorVisible="false" android:inputType="textMultiLine|textNoSuggestions" android:textStyle="bold"/>
        </LinearLayout>
    </LinearLayout>
    <LinearLayout android:orientation="vertical" android:id="@id/rightLayout" android:background="@android:color/transparent" android:layout_width="wrap_content" android:layout_height="fill_parent" android:layout_weight="1.0" />
</LinearLayout>